# 当某些事件发生时，触发一些指令
# 支持彩色代码和变量
# 如果指令开头是 msg! 而且指令中有玩家名，如果该玩家在线，玩家将收到该消息
# 如果指令开头是 broadcast! 那么消息将会被发送到全服玩家
# 如果指令开头是 actionbar! 那么消息将以actionbar消息的形式会被发送到全服玩家
# 如果指令开头是 title! 那么消息将以Title消息的形式会被发送到全服玩家
# 如果指令开头是 subtitle! 那么消息将以subtitle消息的形式会被发送到全服玩家
# 如果指令开头是 kickall! 那么玩家将被全部踢出
# 如果指令开头是 perm:[权限名]! 那么拥有此权限的玩家将会看到消息，当目标玩家未指定时此项将失效，举例: perm:cmi.announce.vip! broadcast! 如果你能看到此消息说明你是VIP玩家
# [playerName] 代表目标玩家
# [playerDisplayName] 代表目标玩家的显示名
# [lvl] 玩家等级
# [exp] 玩家经验
# [hp] 玩家当前血量
# [maxHp] 玩家最大血量
# [hunger] 玩家饥饿度
# [gameMode] 玩家游戏模式
# 有一点需要特别说明的是玩家进服 joinServer 执行的指令不会用于玩家第一次进服 firstJoinServer
# 第一次进服
firstJoinServer:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
joinServer:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
quitServer:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerDeath:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerKillPlayer:
  # [sourceName] 玩家名
  # [sourceDisplayName] 玩家显示名
  # [sourceLvl] 玩家等级
  # [sourceExp] 玩家总经验
  # [sourceHp] 玩家血量
  # [sourceMaxHp] 玩家最大血量
  # [sourceHunger] 玩家饥饿值
  # [sourceGameMode] 玩家游戏模式
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerRespawn:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerTeleport:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
bedLeave:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
bedEnter:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerWorldChange:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerPreWorldChange:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerGameModeChange:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerKick:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
playerLevelChange:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
voidFall:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
elytraStartGlide:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
elytraEndGlide:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
pvpstart:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
pvpend:
  Enabled: false
  Commands:
  - cmi msg [playerName] 此为事件测试消息！
  - cmi actionbarmsg [playerName] 此为事件测试消息！
